<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
      <li class="current"><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>Send()
: <a class="el" href="classCommand__SA__GetPosition__S.html#a9de943cd258375c9831d22a568b30fd9">Command_SA_GetPosition_S</a>
, <a class="el" href="classCommand__SA__GetStatus__S.html#aec07e4f192814b18875fc428789ac0ac">Command_SA_GetStatus_S</a>
, <a class="el" href="classCommand__SA__SetClosedLoopMaxFrequency__S.html#acba41e0814cda6c408a0c0c58d6afb19">Command_SA_SetClosedLoopMaxFrequency_S</a>
, <a class="el" href="classCommand__SA__SetClosedLoopMoveSpeed__S.html#aa055752aabdc913613ca71be7fdceb6a">Command_SA_SetClosedLoopMoveSpeed_S</a>
, <a class="el" href="classCommand__SA__GotoPositionAbsolute__S.html#a9489925fe087f958fa1890fc606c3c2a">Command_SA_GotoPositionAbsolute_S</a>
, <a class="el" href="classCommand__SA__Stop__S.html#a3ebc2495afa3abdc6665c150e5957139">Command_SA_Stop_S</a>
</li>
<li>set()
: <a class="el" href="classParms.html#a4396ed28028fce2f505dcbee249a4692">Parms</a>
</li>
<li>setAll()
: <a class="el" href="classParms.html#a8758cf14a0b8b3763872742d9209c28b">Parms</a>
</li>
<li>SetAxisOption()
: <a class="el" href="classRobot.html#a6fcc15958db68e9ae90e940306c43f33">Robot</a>
</li>
<li>SetClosedLoopMaxFrequency()
: <a class="el" href="classSmarActActuatorAxis.html#a18bcab4ee2856ef4c1e660511cb25546">SmarActActuatorAxis</a>
</li>
<li>SetClosedLoopMoveSpeed()
: <a class="el" href="classSmarActActuatorAxis.html#a9ccdb179792d83464e4706c125488767">SmarActActuatorAxis</a>
</li>
<li>setComment()
: <a class="el" href="classParms.html#aeee98ee77c359e3b6efd47e4168d4772">Parms</a>
</li>
<li>setComments()
: <a class="el" href="classParms.html#a45d70c2a3327c8f241ab38364d3d00b6">Parms</a>
</li>
<li>setCurrentSessionPath()
: <a class="el" href="classFileManager.html#a6b5d8186c280a52969830db3aa89d460">FileManager</a>
</li>
<li>setExperimentPrefix()
: <a class="el" href="classFileManager.html#a600f12b61386d079f69f7897e40a2423">FileManager</a>
</li>
<li>SetFilename()
: <a class="el" href="classDataLogger.html#a70a9bb50309609e4823b35fee5f5407e">DataLogger</a>
</li>
<li>SetFlip()
: <a class="el" href="classActuatorAxis.html#a4393c05ae71e2764aba1b0c94edfad44">ActuatorAxis</a>
</li>
<li>SetForceUnit()
: <a class="el" href="classForceMeasurement.html#abb4e5fce9f6a6edc29cfa533c8f769c4">ForceMeasurement</a>
</li>
<li>SetGain()
: <a class="el" href="classForceSensor.html#a30772feffe31fe028a562686548d3747">ForceSensor</a>
</li>
<li>SetHoldMs()
: <a class="el" href="classSmarActActuatorAxis.html#a4ad17f758e0827fb831e8e9196f1b57e">SmarActActuatorAxis</a>
</li>
<li>setInParamsPath()
: <a class="el" href="classFileManager.html#a9fe95419e1b887dc5bb475946714ec94">FileManager</a>
</li>
<li>SetMarginMicrons()
: <a class="el" href="classSmarActActuatorAxis.html#ac0db3ef6bc441ded27f4afbce6bcb033">SmarActActuatorAxis</a>
</li>
<li>SetMaxForce()
: <a class="el" href="classForceSensor.html#a5f2044a55ffffec962204f02f2eb0fb2">ForceSensor</a>
</li>
<li>SetName()
: <a class="el" href="classActuatorAxis.html#a25534aa53fbcfc4c97aa5bc03988f1d1">ActuatorAxis</a>
</li>
<li>SetOffsetForce()
: <a class="el" href="classForceSensor.html#a963c626729d3700399ebf91f6cb0e681">ForceSensor</a>
</li>
<li>SetOption()
: <a class="el" href="classActuatorAxis.html#ade40b5431a0f3744b7c1f4c51db183a2">ActuatorAxis</a>
, <a class="el" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9">SmarActActuatorAxis</a>
</li>
<li>SetSensorGain()
: <a class="el" href="classForceMeasurement.html#a34e8231b10f5544090399faf29e90f1e">ForceMeasurement</a>
</li>
<li>SetSensorMaxForce()
: <a class="el" href="classForceMeasurement.html#a3f42e8b4b54d18c7db9efc89b52b011d">ForceMeasurement</a>
</li>
<li>SetSensorOffsetForce()
: <a class="el" href="classForceMeasurement.html#aa7f2465589dbc2fc98c9c95f6f0e469b">ForceMeasurement</a>
</li>
<li>SetStatus()
: <a class="el" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec">SmarActResult</a>
, <a class="el" href="classSmarActAxisStatus.html#a910c006a08e20c6f48e0baea8508d872">SmarActAxisStatus</a>
</li>
<li>SetValue()
: <a class="el" href="classSmarActResult.html#aa70ada42f20beaf6a2b2c0ac828a1bbe">SmarActResult</a>
</li>
<li>setValue()
: <a class="el" href="classParms.html#a41b9a8f363cedfeccd782cb165873dca">Parms</a>
</li>
<li>setValues()
: <a class="el" href="classParms.html#a996412338909bf6412976e227051a6c1">Parms</a>
</li>
<li>SmarActActuatorAxis()
: <a class="el" href="classSmarActActuatorAxis.html#aa28ad0cfdea546bfe989c73f8315ddba">SmarActActuatorAxis</a>
</li>
<li>SmarActActuatorSystem()
: <a class="el" href="classSmarActActuatorSystem.html#aca340280e343e04d895d0cd69eda8431">SmarActActuatorSystem</a>
</li>
<li>SmarActAxisStatus()
: <a class="el" href="classSmarActAxisStatus.html#a31fb9213b96ce10ad9081cb5747175aa">SmarActAxisStatus</a>
</li>
<li>SmarActCommand()
: <a class="el" href="classSmarActCommand.html#a4bc331287440d28b8d86cbdf86abaf58">SmarActCommand</a>
</li>
<li>SmarActController()
: <a class="el" href="classSmarActController.html#af34b4939df722bc3d6bde9eadba270d0">SmarActController</a>
</li>
<li>SmarActResult()
: <a class="el" href="classSmarActResult.html#a44fde9e7df9b8bdd0136c1acdfe31f4c">SmarActResult</a>
</li>
<li>state()
: <a class="el" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603">StateManager</a>
</li>
<li>stateManager()
: <a class="el" href="classExperiment.html#a08348cb9f17221c846c3a060536aba41">Experiment</a>
, <a class="el" href="classHardwareManager.html#a09617b43ef66149a468bef91be014d6f">HardwareManager</a>
, <a class="el" href="classRobot.html#a401f61ae45e4c0587e9127e2c4c3dd67">Robot</a>
</li>
<li>StateManager()
: <a class="el" href="classStateManager.html#a3e2be96d935eb56813b096a885d58587">StateManager</a>
</li>
<li>Status()
: <a class="el" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b">SmarActResult</a>
, <a class="el" href="classSmarActCommand.html#a85967ae65fb61b8914afac5e6e0611d0">SmarActCommand</a>
, <a class="el" href="classSmarActAxisStatus.html#a12377a1fef8aa39833f8ffcae2b756f6">SmarActAxisStatus</a>
</li>
<li>StatusMap()
: <a class="el" href="classSmarActResult.html#a3e1cedc13518b8e8e8b65ab4ab573326">SmarActResult</a>
</li>
<li>StatusMapDescription()
: <a class="el" href="classSmarActAxisStatus.html#a118d77f6e70ef59a07d5176e9b2c3940">SmarActAxisStatus</a>
</li>
<li>StatusMapName()
: <a class="el" href="classSmarActAxisStatus.html#a9335a95d2af8a8f1e599eb9e0415132e">SmarActAxisStatus</a>
</li>
<li>StopSync()
: <a class="el" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065">SmarActActuatorAxis</a>
</li>
<li>SystemID()
: <a class="el" href="classActuatorSystem.html#a2d7e684c9226df9f25578b454aca369e">ActuatorSystem</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
